> ![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)
> #ADC3 Click#
> ##By [MikroElektronika](http://www.mikroe.com)
---

## Installation
Use the package manager to install the library for your architecture.

###Example
```
unsigned int TFT_DataPort at GPIOE_ODR;
sbit TFT_RST at GPIOE_odr.B8;
sbit TFT_RS at GPIOE_odr.B12;
sbit TFT_CS at GPIOE_odr.B15;
sbit TFT_RD at GPIOE_odr.B10;
sbit TFT_WR at GPIOE_odr.B11;
sbit TFT_BLED at GPIOE_odr.B9;

char tmp_data[5];
char txt[7];
uint16_t readme;

void system_init( void );

void system_init()
{
    uint8_t status[4];
    
    I2C1_Init_Advanced( 100000, &_GPIO_MODULE_I2C1_PB67 );
    Delay_ms( 100 );
    I2C_Set_Active( I2C1_Start, I2C1_Read, I2C1_Write );
    
    adc3_init( ADC3_ADDRESS );
    adc3_set_channel( ADC3_CHANNEL1 );
    adc3_set_conversion( ADC3_CONTINOUS );
    adc3_set_sample_rate( ADC3_16BIT );
    adc3_set_gain( ADC3_GAIN1X );

    TFT_Init_ILI9481_8bit( 320, 240 );
    TFT_Set_Font(TFT_defaultFont, CL_WHITE, FO_HORIZONTAL);
    TFT_Fill_Screen(CL_BLUE);
}

```

```
void main()
{
    system_init();
     TFT_Write_Text ("Initializing", 10, 10);
     delay_ms(1000);
    while( 1 )
    {
        readme = adc3_read();
        IntToStr( readme, txt);
        TFT_Fill_Screen(CL_BLUE);
        TFT_Write_Text("ADC value is : ", 40, 80);
        TFT_Write_Text(txt, 140, 80);
        delay_ms(500);
    }
}
```
